Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 655382 - x11-libs/qwt:5 depends on deprecated Qt4, qt4-r2.eclass
Summary: x11-libs/qwt:5 depends on deprecated Qt4, qt4-r2.eclass
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 644566 644568 645506
Blocks: qt4-removal qt4-r2-removal
  Show dependency tree
 
Reported: 2018-05-10 08:50 UTC by Andreas Sturmlechner
Modified: 2018-08-07 07:28 UTC (History)
0 users

See Also:
Package list:
x11-libs/qwt-6.1.3-r2
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2018-05-10 08:50:28 UTC
It needs to go.
Comment 1 Andreas Sturmlechner gentoo-dev 2018-05-31 14:20:12 UTC
Arches, please stabilise.
Comment 2 Andreas Sturmlechner gentoo-dev 2018-05-31 14:21:48 UTC
Not waiting for pyqwt removal which has a single revdep at this point.
Comment 3 Larry the Git Cow gentoo-dev 2018-06-02 14:08:47 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3a7dedd09531c05a33d2f2c4352ca41497ddcc16

commit 3a7dedd09531c05a33d2f2c4352ca41497ddcc16
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-06-02 14:07:53 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-06-02 14:08:23 +0000

    x11-libs/qwt: 6.1.3-r1: Drop ~alpha/~ia64 keywords
    
    Not a single revdep in tree, USE=qt5 dependencies not keyworded,
    USE=qt4 removed very soon.
    
    Bug: https://bugs.gentoo.org/655382
    Package-Manager: Portage-2.3.40, Repoman-2.3.9

 x11-libs/qwt/qwt-6.1.3-r1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 4 Thomas Deutschmann gentoo-dev Security 2018-06-06 23:27:48 UTC
x86 stable
Comment 5 Agostino Sarubbo gentoo-dev 2018-06-07 10:16:43 UTC
amd64 stable
Comment 6 Larry the Git Cow gentoo-dev 2018-06-24 19:39:56 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eee313148743225e134ad02ec3f12d88f69343ec

commit eee313148743225e134ad02ec3f12d88f69343ec
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-06-24 17:33:42 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-24 19:35:19 +0000

    x11-libs/qwt: stable 6.1.3-r2 for ppc, bug #655382
    
    Bug: https://bugs.gentoo.org/655382
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    RepoMan-Options: --include-arches="ppc"

 x11-libs/qwt/qwt-6.1.3-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 7 Larry the Git Cow gentoo-dev 2018-06-24 20:24:47 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=555eaf8b4de76a19c6f4a3f537f62cb84072bea5

commit 555eaf8b4de76a19c6f4a3f537f62cb84072bea5
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-06-24 19:49:41 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-24 20:20:26 +0000

    x11-libs/qwt: stable 6.1.3-r2 for ppc64, bug #655382
    
    Bug: https://bugs.gentoo.org/655382
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    RepoMan-Options: --include-arches="ppc64"

 x11-libs/qwt/qwt-6.1.3-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 8 Sergei Trofimovich gentoo-dev 2018-06-24 22:34:04 UTC
Last arch. Closing.
Comment 9 Andreas Sturmlechner gentoo-dev 2018-06-24 22:44:59 UTC
Keep open until old was dropped.
Comment 10 Larry the Git Cow gentoo-dev 2018-06-28 18:49:54 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=34cbddba12337afd34a28890034439748c436444

commit 34cbddba12337afd34a28890034439748c436444
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-06-28 18:41:43 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-06-28 18:46:19 +0000

    x11-libs/qwt: Drop Qt4-based slot 5
    
    Closes: https://bugs.gentoo.org/655382
    Package-Manager: Portage-2.3.41, Repoman-2.3.9

 profiles/package.mask                         |   1 -
 x11-libs/qwt/Manifest                         |   1 -
 x11-libs/qwt/files/qwt-5.2.3-install_qt.patch |  28 -------
 x11-libs/qwt/qwt-5.2.3-r2.ebuild              | 101 --------------------------
 4 files changed, 131 deletions(-)
Comment 11 Larry the Git Cow gentoo-dev 2018-08-07 07:28:08 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca35690759de9af60e467999e97a33999e33e574

commit ca35690759de9af60e467999e97a33999e33e574
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-07-01 17:00:11 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-08-07 07:27:05 +0000

    profiles: Last-rited media-sound/mu{mble,rmur}, net-analyzer/ostinato
    
    Closes: https://bugs.gentoo.org/644374
    Closes: https://bugs.gentoo.org/656826
    Closes: https://bugs.gentoo.org/655382
    Package-Manager: Portage-2.3.41, Repoman-2.3.9

 media-sound/mumble/Manifest                        |   1 -
 .../files/mumble-1.2.4-speech-dispatcher.patch     |  49 --------
 media-sound/mumble/mumble-1.2.19.ebuild            | 122 -------------------
 media-sound/murmur/Manifest                        |   1 -
 .../files/murmur-1.2.17-ice-3.6.3-compat.patch     |  11 --
 media-sound/murmur/murmur-1.2.19.ebuild            | 130 ---------------------
 net-analyzer/ostinato/Manifest                     |   3 -
 net-analyzer/ostinato/ostinato-0.5.1.ebuild        |  25 ----
 net-analyzer/ostinato/ostinato-0.8.ebuild          |  25 ----
 net-analyzer/ostinato/ostinato-0.9.ebuild          |  27 -----
 profiles/package.mask                              |   6 -
 11 files changed, 400 deletions(-)